matrix World;
matrix View;
matrix Projection;

struct VS_OUTPUT
{
    float4 Pos : SV_POSITION;
    float4 Color : COLOR0;
};

VS_OUTPUT VS(float4 Pos : POSITION, float4 Norm : NORMAL, float2 UV : TEXCOORD0)
{
	VS_OUTPUT output = (VS_OUTPUT)0;
	
	output.Pos = mul( Pos, World );
	output.Pos = mul( output.Pos, View );
	output.Pos = mul( output.Pos, Projection );
	
	output.Color = float4(0,0,0,0);
	return output; 
}

float4 PS(VS_OUTPUT input) : SV_Target
{
	return input.Color;
}

// Technique Definition
technique Render
{
	pass P0
	{
		VertexShader = compile vs_2_0 VS();
		PixelShader = compile ps_2_0 PS();
	}
}